Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 2451)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 2452)
@@ -45,6 +45,15 @@
 	
 	
 	
+	public static String info_computingTheP0PartitionOfTheP1Corpus;
+	
+	public static String info_computingCorpusP0;
+	
+	public static String info_doneP0Parts;
+	
+	
+	
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, SearchEngineCoreMessages.class);
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/messages.properties
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/messages.properties	(revision 2451)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/messages.properties	(revision 2452)
@@ -6,11 +6,14 @@
 
 deletingSubcorpusP0 = Deleting sub-corpus {0}…
 
+info_computingCorpusP0                                                 = Computing corpus {0}...
+info_computingTheP0PartitionOfTheP1Corpus                              = Computing the {0} partition of the {1} corpus...
 info_computingTheP0SubCorpusOfP1CommaQueryP2                           = Computing the {0} sub-corpus of {1}, query: {2}...
 info_computingTheP0SubCorpusOfP1CommaStructureP2CommaPropertyP3ColonP4 = Computing the {0} sub-corpus of {1}, structure {2}, property {3}: {4}...
 info_creatingNewPartition                                              = Creating partition {1} of corpus {0}…
 info_creatingSubcorpusXFromCorpusYWithTheQueryZ                        = Creating sub-corpus {0} of corpus {1} with the query {2}…
 info_deletingPartition                                                 = Deleting partition {0}…
+info_doneP0Parts                                                       = Done: {0} part(s).
 info_partCreatedInXMs                                                  = Part {0} created in {1} ms.
 info_partXCreatedWithQueryZ                                            = Part {0} created with query {1}.
 info_partitionCreatedInXMs                                             = Partition {0} created in {1} ms.
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/messages_fr.properties	(revision 2451)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/messages_fr.properties	(revision 2452)
@@ -6,11 +6,14 @@
 
 deletingSubcorpusP0 = Suppression du sous-corpus {0}…
 
+info_computingCorpusP0                                                 = Calcul du corpus {0}...
+info_computingTheP0PartitionOfTheP1Corpus                              = Calcul de la partition {0} du corpus {1}...
 info_computingTheP0SubCorpusOfP1CommaQueryP2                           = Calcul du sous-corpus {0} de {1}, requête : [{2}]...
 info_computingTheP0SubCorpusOfP1CommaStructureP2CommaPropertyP3ColonP4 = Calcul du sous-corpus {0} de {1}, structure {2}, propriété {3} : {4}...
 info_creatingNewPartition                                              = Création de la partition {1} du corpus {0}…
 info_creatingSubcorpusXFromCorpusYWithTheQueryZ                        = Création du sous-corpus {0} du corpus {1} avec la requête {2}…
 info_deletingPartition                                                 = Suppression de la partition {0}…
+info_doneP0Parts                                                       = Terminé : {0} partie(s).
 info_partCreatedInXMs                                                  = Partie {0} créée en {1} ms.
 info_partXCreatedWithQueryZ                                            = Partie {0} créée avec la requête {1}.
 info_partitionCreatedInXMs                                             = Partition {0} créée en {1} ms.
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 2451)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 2452)
@@ -4,8 +4,6 @@
 
 BaseOldParameters_96 = Warning no corpus element defined in the {0} file. The corpus won't be correctly loaded.
 
-P0BuiltParts = {0} partie(s) construite(s).
-
 ToolboxStatesWorkspaceColonP0 = \ Workspace: {0}
 
 binaryDirectoryP0NotFound = Corpus binary folder {0} not found.
@@ -167,6 +165,9 @@
 
 in = \ in \	\	\	\	\	\	\	\	
 
+info_computingChildrenOfP0 = Computing children of {0}
+info_p0P1Deleted           = {0} "{1}" deleted.
+
 initializationOfGroovyImportScriptRunner = Initialization of GroovyImportScriptRunner
 
 initializingCorpora = Initializing corpora ({0}/{1})...
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2451)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2452)
@@ -79,15 +79,18 @@
 	
 	public static String common_P0ItemsForP1Occurrences;
 	
+	public static String info_p0P1Deleted;
 	
+	public static String info_computingChildrenOfP0;
+	
+	
+	
 	public static String error_error2;
 	
 	public static String error_error;
 	
 	public static String error_errorWhileSortingResult;
 	
-	public static String P0BuiltParts;
-	
 	public static String corpusImportDoneInP0;
 	
 	public static String corpusUpdateDoneInP0;
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 2451)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 2452)
@@ -2,8 +2,6 @@
 #TXM messages generated by the PluginMessagesManager class
 #Tue Dec 18 10:24:08 CET 2018
 
-P0BuiltParts = {0} built part(s).
-
 ToolboxStatesWorkspaceColonP0 = \ Espace de travail : {0}
 
 binaryDirectoryP0NotFound = Impossible de trouver le répertoire de corpus binaire {0}.
@@ -163,6 +161,9 @@
 
 in = \ dans\	\	\	\	\	\	\	\	
 
+info_computingChildrenOfP0 = Calcul des enfants de {0}
+info_p0P1Deleted           = {0} "{1}" supprimé(e).
+
 initializationOfGroovyImportScriptRunner = Initialisation de GroovyImportScriptRunner
 
 initializingCorpora = Initialisation des corpus ({0}/{1})...
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2451)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2452)
@@ -1408,6 +1408,13 @@
 				
 			}
 			this.parent = null;
+			
+			// log
+			if (this.isVisible() || Log.isLoggingFine()) {
+				Log.info(TXMCoreMessages.bind(TXMCoreMessages.info_p0P1Deleted, this.getResultType(), this.getSimpleName()));
+			}
+			
+			
 			return true;
 		}
 		catch (Exception e) {
@@ -2363,7 +2370,7 @@
 				}
 				
 				// log
-				if (!this.getComputingStartMessage().isEmpty() && (this.isVisible() || Level.FINE.intValue() >= Log.getLevel().intValue())) {
+				if (!this.getComputingStartMessage().isEmpty() && (this.isVisible() || Log.isLoggingFine())) {
 					// console log
 					Log.info(this.getComputingStartMessage());
 					
@@ -2436,9 +2443,6 @@
 				this.altered = false;
 				Log.finest("TXMResult.compute(): " + this.getClass().getSimpleName() + ": computing of result type " + this.getClass() + " done.");
 				
-				// Log.info(this.getComputingDoneMessage());
-				
-				
 			}
 			
 			
@@ -2449,16 +2453,13 @@
 			) {
 				
 				if (monitor != null && children.size() > 1) {
-					monitor.beginTask("Computing children of " + this, children.size());
-					// monitor.subTask("Computing children of " + this);
+					monitor.beginTask(TXMCoreMessages.bind(TXMCoreMessages.info_computingChildrenOfP0, this), children.size());
+					// monitor.subTask(TXMCoreMessages.bind(TXMCoreMessages.info_computingChildrenOfP0, this));
 				}
 				
 				// set the children as dirty since the result has changed
 				for (int i = 0; i < this.children.size(); i++) {
-					TXMResult child = this.children.get(i);
-					// if (child.mustBeSynchronizedWithParent() || child.hasBeenComputedOnce()) {
-					child.setDirty();
-					// }
+					this.children.get(i).setDirty();
 				}
 				
 				// Children cascade computing (if parent == null then it is the Workspace (Tree root))
@@ -2492,7 +2493,7 @@
 		
 		
 		// log
-		if (!skipComputing && !this.getComputingDoneMessage().isEmpty() && (this.isVisible() || Level.FINE.intValue() >= Log.getLevel().intValue())) {
+		if (!skipComputing && !this.getComputingDoneMessage().isEmpty() && (this.isVisible() || Log.isLoggingFine())) {
 			// console log
 			Log.info(this.getComputingDoneMessage());
 			
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 2451)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 2452)
@@ -23,6 +23,10 @@
 	
 	public static String noStructureInformations;
 	
+	
+	public static String info_browsingP0;
+	
+	
 	static {
 		Utf8NLS.initializeMessages(BUNDLE_NAME, InternalViewCoreMessages.class);
 	}
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/messages_fr.properties	(revision 2451)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/messages_fr.properties	(revision 2452)
@@ -1,6 +1,13 @@
-#TXM messages generated by the PluginMessagesManager class
-#Tue Dec 18 10:24:08 CET 2018
-internalViewColonFailedToRetrieveStructPropertiesValuesColonP0=** Vue interne \: impossible de récupérer les valeurs de propriétés de structures \: {0}.
-noStructureInformations=\  Nbr. d'informations de structures
-RESULT_TYPE=Vue interne
-structureInformationsColon=\  Informations de structures \:
+#Generated by ResourceBundle Editor (http://essiembre.github.io/eclipse-rbe/)
+#TXM messages generated by the PluginMessagesManager class
+#Tue Dec 18 10:24:08 CET 2018
+
+RESULT_TYPE = Vue interne
+
+info_browsingP0 = Navigation dans {0}...
+
+internalViewColonFailedToRetrieveStructPropertiesValuesColonP0 = ** Vue interne : impossible de récupérer les valeurs de propriétés de structures : {0}.
+
+noStructureInformations = \  Nbr. d'informations de structures
+
+structureInformationsColon = \  Informations de structures :
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/messages.properties
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/messages.properties	(revision 2451)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/messages.properties	(revision 2452)
@@ -1,6 +1,13 @@
-#TXM messages generated by the PluginMessagesManager class
-#Tue Dec 18 10:24:08 CET 2018
-internalViewColonFailedToRetrieveStructPropertiesValuesColonP0=** Internal view\: failed to retrieve structural property values\: {0}.
-noStructureInformations=\  No. structure informations
-RESULT_TYPE=Internal View
-structureInformationsColon=\  Structure informations\: 
+#Generated by ResourceBundle Editor (http://essiembre.github.io/eclipse-rbe/)
+#TXM messages generated by the PluginMessagesManager class
+#Tue Dec 18 10:24:08 CET 2018
+
+RESULT_TYPE = Internal View
+
+info_browsingP0 = Browsing {0}...
+
+internalViewColonFailedToRetrieveStructPropertiesValuesColonP0 = ** Internal view: failed to retrieve structural property values: {0}.
+
+noStructureInformations = \  No. structure informations
+
+structureInformationsColon = \  Structure informations: 
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 2451)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 2452)
@@ -10,6 +10,7 @@
 
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
@@ -24,8 +25,8 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
 
@@ -38,7 +39,7 @@
  */
 public class InternalView extends TXMResult {
 	
-	protected List<Match> matches = new ArrayList<Match>();
+	protected List<Match> matches = new ArrayList<>();
 	
 	protected int nmatches = 0;
 	
@@ -159,7 +160,7 @@
 	 * @throws CqiClientException
 	 */
 	protected LinkedHashMap<Property, List<String>> getPageContent(int i) throws CqiClientException {
-		LinkedHashMap<Property, List<String>> rez = new LinkedHashMap<Property, List<String>>();
+		LinkedHashMap<Property, List<String>> rez = new LinkedHashMap<>();
 		
 		if (i >= 0 && i < nmatches) {
 			Match m = matches.get(i);
@@ -216,7 +217,14 @@
 		return true;
 	}
 	
+	
 	@Override
+	public String getComputingStartMessage() {
+		return TXMCoreMessages.bind(InternalViewCoreMessages.info_browsingP0, this.getParent().getSimpleName());
+	}
+	
+	
+	@Override
 	public void clean() {
 		// nothing to do
 	}
@@ -237,11 +245,6 @@
 		return getCorpus().getName() + " " + pStructuralUnit.getName() + " " + (pCurrentPage + 1); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
-	@Override
-	public String getComputingDoneMessage() {
-		return "";
-		// return TXMCoreMessages.common_done;
-	}
 	
 	@Override
 	public String getSimpleName() {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2451)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2452)
@@ -396,13 +396,13 @@
 	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind("Création de la partition {0} dans le corpus {1}...", this.getSimpleName(), this.getCorpus().getName());
+		return TXMCoreMessages.bind(SearchEngineCoreMessages.info_computingTheP0PartitionOfTheP1Corpus, this.getSimpleName(), this.getCorpus().getName());
 	}
 	
 	
 	@Override
 	public String getComputingDoneMessage() {
-		return TXMCoreMessages.bind(TXMCoreMessages.P0BuiltParts, this.getPartsCount());
+		return TXMCoreMessages.bind(SearchEngineCoreMessages.info_doneP0Parts, this.getPartsCount());
 	}
 	
 	/**
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2451)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 2452)
@@ -37,6 +37,7 @@
 import java.util.Map;
 import java.util.Set;
 import java.util.UUID;
+import java.util.logging.Level;
 
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.osgi.util.NLS;
@@ -46,12 +47,13 @@
 import org.txm.importer.cwb.PatchCwbRegistry;
 import org.txm.objects.CorpusBuild;
 import org.txm.objects.Project;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.logger.Log;
@@ -169,7 +171,31 @@
 		return true;
 	}
 	
+	
 	@Override
+	public String getComputingStartMessage() {
+		if (Log.isLoggingFine()) {
+			return TXMCoreMessages.bind(SearchEngineCoreMessages.info_computingCorpusP0, this.getName());
+		}
+		else {
+			return ""; //$NON-NLS-1$
+		}
+	}
+	
+	
+	@Override
+	public String getComputingDoneMessage() {
+		if (Log.isLoggingFine()) {
+			return super.getComputingDoneMessage();
+		}
+		else {
+			return ""; //$NON-NLS-1$
+		}
+	}
+	
+	
+	
+	@Override
 	public void onProjectClose() {
 		try {
 			if (hasBeenComputedOnce && this.pID != null) {
@@ -325,17 +351,6 @@
 		}
 	}
 	
-	@Override
-	public String getComputingDoneMessage() {
-		if (hasBeenComputedOnce()) {
-			return getDetails();
-		}
-		else {
-			return "";
-		}
-		// return TXMCoreMessages.common_done;
-	}
-	
 	/**
 	 * Gets the first position.
 	 *
